View Issue Details

IDProjectCategoryView StatusLast Update
0004808PartDesignBugpublic2021-12-22 00:41
Reporterlual Assigned Touwestoehr  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSLinux ManjaroOS Versionstable
Product Version0.20 
Target Version0.20Fixed in Version0.20 
Summary0004808: "Part Design" > "Hole" > "Model Thread" > "Thread Depth" > "Dimension"
Description
"Part Design" >
"Hole" >
"Model Thread" >
"Thread Depth" >
"Dimension" >
pressing "OK" resets the given value to the value for the for hole-depth!
Steps To Reproduce
1. Open the Attached File
2. doubleclick on "Hole"
3. Click "OK"
4. Thread Depth is changed unexpected!
Additional InformationDiscussion in Forum
https://forum.freecadweb.org/viewtopic.php?f=3&t=64682

This Pull Request from Github may helps to find the code...
https://github.com/FreeCAD/FreeCAD/pull/4274
TagsNo tags attached.
FreeCAD InformationOS: Manjaro Linux (KDE/plasma)
Word size of FreeCAD: 64-bit
Version: 0.20.26683 (Git) AppImage
Build type: Release
Branch: (HEAD detached at 0388fbc)
Hash: 0388fbc98d49d874fb341b9037a743bc691d501f
Python version: 3.9.7
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.5.3
Locale: German/Germany (de_DE)

Activities

uwestoehr

2021-12-21 01:55

manager   ~0016122

proposed fix: https://github.com/FreeCAD/FreeCAD/pull/5272

uwestoehr

2021-12-22 00:41

manager   ~0016127

fix merged

Issue History

Date Modified Username Field Change
2021-12-20 23:56 lual New Issue
2021-12-21 01:54 uwestoehr Assigned To => uwestoehr
2021-12-21 01:54 uwestoehr Priority low => normal
2021-12-21 01:54 uwestoehr Status new => assigned
2021-12-21 01:54 uwestoehr Target Version => 0.20
2021-12-21 01:55 uwestoehr Note Added: 0016122
2021-12-22 00:41 uwestoehr Status assigned => resolved
2021-12-22 00:41 uwestoehr Resolution open => fixed
2021-12-22 00:41 uwestoehr Fixed in Version => 0.20
2021-12-22 00:41 uwestoehr Note Added: 0016127